const { createReadStream, createWriteStream } = require('fs');

const source = createReadStream('uncensored_file.txt');
const destination = createWriteStream('censored_file.txt');
source.setEncoding('utf-8');

let data = "";
let chunk;

const wordsToReplace = ['example', 'streams'];

source.on('readable', () => {
    while ((chunk = source.read()) != null) {
        data += chunk
    }
});

source.on('data', (chunk) => {
    let censored = chunk;
    wordsToReplace.forEach(word => {
        if (chunk.includes(word)) {
            const length = word.length;
            let newValue = "";
            for (let i = 0; i < length; ++i) {
                newValue += "*";
            }
            censored = censored.replace(word, newValue);
        }
    });
    destination.write(censored);
});

source.on('error', (err) => {
    console.error(err.message);
});

source.on('end', () => {
    console.log(data);
    destination.end();
});